# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-02 12:58
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0052_auto_20171002_0105'),
    ]

    operations = [
        migrations.CreateModel(
            name='FacetOrder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_field', models.PositiveIntegerField(default=0, verbose_name='нажать и тащить')),
                ('attribute', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='order', to='catalogue.ProductAttribute', verbose_name='аттрибут')),
            ],
            options={
                'verbose_name': 'порядок',
                'verbose_name_plural': 'порядок фильтров',
                'ordering': ('order_field',),
            },
        ),
        migrations.AlterModelOptions(
            name='productattributevalue',
            options={'ordering': ('attribute__order_field',), 'verbose_name': 'Product attribute value', 'verbose_name_plural': 'Product attribute values'},
        ),
    ]
